<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
Input Values
    -derechosPropiedad: Lista de objetos de tipo PersonaPredioPropiedad a consultar
    -rendered: Indica si se muestra o no la tabla
    -title: Título de la tabla
-->
<p:dataTable xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" var="derechoPropiedad"
             value="#{derechosPropiedad}" rendered="#{rendered}">

    <f:facet name="header">
        <h:outputText value="#{title}" />
    </f:facet>
    <p:columnGroup type="header">
        <p:row>
            <p:column colspan="2" headerText="Adquisición" />
            <p:column colspan="8" headerText="Título" />
            <p:column colspan="4" headerText="Registro" />
        </p:row>
        <p:row>
            <p:column>
                <f:facet name="header">Modo<br />adquisición</f:facet>
            </p:column>
            <p:column>
                <f:facet name="header">Valor<br />compra</f:facet>
            </p:column>
            <p:column>
                <f:facet name="header">Tipo<br />título</f:facet>
            </p:column>
            <p:column headerText="Departamento" />
            <p:column headerText="Municipio" />
            <p:column>
                <f:facet name="header">Entidad<br />emisora</f:facet>
            </p:column>
            <p:column>
                <f:facet name="header">Número<br />título</f:facet>
            </p:column>
            <p:column>
                <f:facet name="header">Fecha<br />título</f:facet>
            </p:column>
            <p:column>
                <f:facet name="header">Fecha<br />registro</f:facet>
            </p:column>
            <p:column>
                <f:facet name="header">Falsa<br />tradición</f:facet>
            </p:column>
            <p:column headerText="Libro" />
            <p:column headerText="Tomo" />
            <p:column headerText="Página" />
            <p:column>
                <f:facet name="header">No.<br />registro</f:facet>
            </p:column>
        </p:row>
    </p:columnGroup>
    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.modoAdquisicion}-#{derechoPropiedad.modoAdquisicionValor}" />
    </p:column>
    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.valor}">
            <f:convertNumber type="number" />
        </h:outputText>
    </p:column>
    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.tipoTitulo}-#{derechoPropiedad.tipoTituloValor}" />
    </p:column>

    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.departamento.codigo}-#{derechoPropiedad.departamento.nombre}" />
    </p:column>

    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.municipio.codigo3Digitos}-#{derechoPropiedad.municipio.nombre}" />
    </p:column>

    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.entidadEmisoraValor}" />
    </p:column>

    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.numeroTitulo}" />
    </p:column>

    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.fechaTitulo}" />
    </p:column>
    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.fechaRegistro}" />
    </p:column>

    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.falsaTradicion}" />
    </p:column>

    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.libro}" />
    </p:column>

    <p:column>
        <h:outputText styleClass="outputTextStyle" value="#{derechoPropiedad.tomo}" />
    </p:column>

    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.pagina}" />
    </p:column>

    <p:column>
        <h:outputText styleClass="outputTextStyle"
                      value="#{derechoPropiedad.numeroRegistro}" />
    </p:column>

</p:dataTable>

